> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute a prompt, ad-hoc

> Exectue an existing prompt, ad-hoc



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/scenequery/adHocPrompt
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/scenequery/adHocPrompt:
    post:
      tags:
        - Scene Query Webservice
      summary: Execute a prompt, ad-hoc
      description: Exectue an existing prompt, ad-hoc
      operationId: adHocPrompt
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Scenequery_AdHocPromptWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Scenequery_AdHocPromptWSResponse'
          description: OK
components:
  schemas:
    Scenequery_AdHocPromptWSRequest:
      type: object
      description: Request object for adhoc prompt.
      properties:
        deviceFacetUuid:
          type: string
          format: DeviceFacetUuid
          description: RUUID with optional appended facet information
          example: AAAAAAAAAAAAAAAAAAAAAA.v0
          nullable: true
        promptUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        timestampMs:
          type: integer
          format: int64
          description: Timestamp in milliseconds for the trigger
          example: 1640995200000
          nullable: true
    Scenequery_AdHocPromptWSResponse:
      type: object
      description: Response object for triggering a prompt.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        event:
          $ref: '#/components/schemas/SceneQueryReportEvent'
        warningMsg:
          type: string
          nullable: true
    SceneQueryReportEvent:
      type: object
      description: Scene query report event from the triggered prompt
      properties:
        checkCondition:
          type: boolean
          nullable: true
        image:
          type: string
          nullable: true
        imageOffsets:
          type: array
          items:
            type: integer
            format: int32
            nullable: true
          nullable: true
        prompt:
          type: string
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
        value:
          type: string
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````